# Uses of Interface
java.lang.foreign.PaddingLayout

Packages that use PaddingLayout
Package
Description
java.lang.foreign
Provides low-level access to memory and functions outside the Java runtime.

## Uses of PaddingLayout in java.lang.foreign

Methods in java.lang.foreign that return PaddingLayout
Modifier and Type
Method
Description
`static PaddingLayout`
MemoryLayout.`paddingLayout(long byteSize)`
Creates a padding layout with the given byte size.
`PaddingLayout`
PaddingLayout.`withByteAlignment(long byteAlignment)`
Returns a memory layout with the same characteristics as this layout, but with the given alignment constraint (in bytes).
`PaddingLayout`
PaddingLayout.`withName(String name)`
Returns a memory layout with the same characteristics as this layout, but with the given name.
`PaddingLayout`
PaddingLayout.`withoutName()`
Returns a memory layout with the same characteristics as this layout, but with no name.